var _excluded = ["status", "title", "description", "image", "children"];
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }
function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }
import React from 'react';
import getStatusDefault from "./getStatusDefault";

// 结果页, status: empty|500|success|waiting|info|warning|error
function Result(_ref) {
  var status = _ref.status,
    title = _ref.title,
    description = _ref.description,
    image = _ref.image,
    children = _ref.children,
    props = _objectWithoutProperties(_ref, _excluded);
  var statusDefault = getStatusDefault(status);
  if (statusDefault) {
    if (!image) {
      // eslint-disable-next-line
      image = statusDefault.image;
    }
    if (!title) {
      // eslint-disable-next-line
      title = statusDefault.title;
    }
  }

  // 渲染图片
  function getImageNode() {
    if (!image) return null;
    if (typeof image === 'function') {
      return image();
    }
    if ( /*#__PURE__*/React.isValidElement(image)) {
      return image;
    }
    if (typeof image === 'string') {
      return /*#__PURE__*/React.createElement("img", {
        alt: "",
        src: image,
        className: "result-image"
      });
    }
    return image;
  }
  return /*#__PURE__*/React.createElement("div", _extends({}, props, {
    className: "result".concat(props !== null && props !== void 0 && props.className ? ' ' + props.className : '')
  }), getImageNode(), title && /*#__PURE__*/React.createElement("div", {
    className: "result-title"
  }, title), description && /*#__PURE__*/React.createElement("div", {
    className: "result-description"
  }, description), children);
}
export default Result;